#!/bin/sh
# pacd_restart.sh

# Usage pacd_restart.sh [start_pacd_UserId]
# The default userid is nobody

if [ ! -z "$2" ]
then
        echo "Usage: $0 [start_pacd_UserId]" 
        exit
fi

pid=`ps -ef| grep pacd | grep -v grep | grep -v pacd_restart | awk '{ print $2 }'`

if [ ! -z "$pid" ]
then
	kill -15  $pid
fi


unameS="`/bin/uname`"
if [ "$unameS" = "HP-UX" ]
then
    userid=www
else
    userid=nobody
fi

if [ ! -z "$1" ]
then 
	userid=$1
fi

WTE_home=/opt/ibm/edge/cp

su $userid -c "/usr/sbin/pacd -h $WTE_home -C /etc &"

